#include <iostream>
#include<bits/stdc++.h>
using namespace std;
string x,y,p;
long long k,t,q,l,x1,Y;
int main()
{
    cin>>x>>y;
    k=x.size();
    t=y.size();
    q=max(k,t);
    if(k>t){
        l=k-t;
        Y++;
    }
    else if(k<t){
        l=t-k;
        x1++;
    }
    else if(k==t){
        l=0;
    }
    p="";
    for(int j=1;j<=l;j++){
        p='!'+p;
    }
    if(x1>0){
        x=p+x;
    }
    else if(Y>0){
        y=p+y;
    }
    for(int i=0;i<q;i++){
        if(x[i]==y[i]){
            cout<<x[i]<<y[i];
        }
        else if(x[i]>y[i]){
            cout<<x[i];
        }
        else if(y[i]>x[i]){
           cout<<y[i]; 
        }
    }
    return 0;
}